%define name smeserver-radicale
%define version 0.0.3
%define release 6

Summary: smserver rpm to setup radicale, a carddav and caldav client
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: %{name}-%{version}.tar.xz

License: GNU GPL version 2
URL: http://www.contribs.org
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 10.0
Requires: python36-pip
AutoReqProv: no

%description
smserver rpm to setup the roundcube IMAP mail client.

%changelog
* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.0.3-6.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Sep 08 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.3-5.sme
- fix post scriptlet failing [SME: 12167]

* Thu Aug 04 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.3-4.sme
- import to SME10
- python 3.6

* Sun Oct 18 2015 stephane de labrusse <stephdl@de-labrusse.fr> 0.0.3-3
- change path and permissions to collections

* Sat Oct 17 2015 stephane de labrusse <stephdl@de-labrusse.fr> 0.0.3-2
- /etc/rc.d/init.d/masq & /etc/services are expanding on radicale-update

* Sun Oct 4 2015 stephane de labrusse <stephdl@de-labrusse.fr> 0.0.3-1
- specific ssl certificate is used
- the user/group radicale run the init script
- hosts.allow is used now

* Thu Oct 1 2015 stephane de labrusse <stephdl@de-labrusse.fr> 0.0.1-3
- First release to sme9
- Thanks to JM LE CORGUILLE <jean-michel@le-corguille.org> for the code and idea.

%prep
%setup

rm -rf root/etc/rc.d

%build
perl createlinks
%{__mkdir_p} root/home/e-smith/files/radicale/collections
%{__mkdir_p} root/etc/radicale/
%{__mkdir_p} root/var/log/radicale
%{__mkdir_p} root/run/radicale

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist \
   --dir /etc/radicale/ 'attr(0755,root,root)' \
   --dir /home/e-smith/files/radicale 'attr(0750,radicale,radicale)' \
   --dir /home/e-smith/files/radicale/collections 'attr(0750,radicale,radicale)' \
   --dir /var/log/radicale 'attr(0755,radicale,radicale)' \
   --file /var/log/radicale/radicale.log 'attr(0755,radicale,radicale)' \
   --dir /run/radicale 'attr(0755,radicale,radicale)' \
$RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre

/sbin/e-smith/create-system-user radicale 1948 "Radicale server" /home/e-smith/files/.radicale/ /bin/bash
mkdir -p /home/e-smith/files/.radicale
chown radicale:radicale /home/e-smith/files/.radicale
#echo "### Radicale Installation"
#pip install --upgrade pip radicale >/dev/null 2>&1 

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
